<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text" encoding="UTF-8" indent="no" omit-xml-declaration="yes" media-type="text/plain"/>
<!--
Plik transformacyjny z XML do TXT dla plików aktualizacyjnych SIMC (zakres podstawowy i rozszerzony)
Autor: Michał Godlewski - COIS WARSZAWA 
E-mail: m.godlewski@stat.gov.pl
-->
<xsl:template match="/">
	<xsl:for-each select="/*">
		<xsl:if test="name()!='teryt'">
			<xsl:text>TYP_ZMIANY;SYM;WOJ;POW;GMI;RODZ_GMI;NMST;NMSK;SYMBM;RM;MZ;NAZWA;SYMPOD;SYMSTAT;STAN_NA;S_WOJ;S_POW;S_GMI;S_RODZ_GMI;S_NMST;S_NMSK;S_SYMBM;S_RM;S_MZ;S_NAZWA;S_SYMPOD;S_SYMSTAT;S_STAN_NA</xsl:text>
			<xsl:text>&#xd;&#xa;</xsl:text>
		</xsl:if>
		<xsl:if test="name()='teryt'">
			<xsl:text>TYP_ZMIANY;SYM;WOJ;POW;GMI;RODZ_GMI;RM;MZ;NAZWA;SYMPOD;STAN_NA;S_WOJ;S_POW;S_GMI;S_RODZ_GMI;S_RM;S_MZ;S_NAZWA;S_SYMPOD;S_STAN_NA</xsl:text>
			<xsl:text>&#xd;&#xa;</xsl:text>
		</xsl:if>
	</xsl:for-each>
	<xsl:for-each select="//row">
		<xsl:value-of select="@type"></xsl:value-of>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="id">
			<xsl:for-each select="col">
					<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='WOJ']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='POW']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='GMI']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='RODZ_GMI']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:if test="name(../..)!='teryt'">
			<xsl:text>;</xsl:text>
			<xsl:for-each select="col[@name='NMST']">
				<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
			<xsl:text>;</xsl:text>
			<xsl:for-each select="col[@name='NMSK']">
					<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
			<xsl:text>;</xsl:text>
			<xsl:for-each select="col[@name='SYMBM']">
					<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
		</xsl:if>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='RM']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='MZ']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='NAZWA']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='SYMPOD']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:if test="name(../..)!='teryt'">
			<xsl:text>;</xsl:text>
			<xsl:for-each select="col[@name='SYMSTAT']">
				<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
		</xsl:if>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='STAN_NA']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_WOJ']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_POW']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_GMI']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_RODZ_GMI']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:if test="name(../..)!='teryt'">
			<xsl:text>;</xsl:text>
			<xsl:for-each select="col[@name='S_NMST']">
				<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
			<xsl:text>;</xsl:text>
			<xsl:for-each select="col[@name='S_NMSK']">
					<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
			<xsl:text>;</xsl:text>
			<xsl:for-each select="col[@name='S_SYMBM']">
					<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
		</xsl:if>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_RM']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_MZ']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_NAZWA']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_SYMPOD']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:if test="name(../..)!='teryt'">
			<xsl:text>;</xsl:text>
			<xsl:for-each select="col[@name='S_SYMSTAT']">
				<xsl:value-of select="."></xsl:value-of>
			</xsl:for-each>
		</xsl:if>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_STAN_NA']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>&#xd;&#xa;</xsl:text>
	</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
